import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;

public class ImageIOTest2 {
    public ImageIOTest2(String sourceFile, String destinationFile) {
        File source = new File(sourceFile);
        File dest = new File(destinationFile);
        String extension = getSuffix(destinationFile);

        try {
            BufferedImage image = ImageIO.read(source);
            ImageIO.write(image, extension, dest);
        } catch (IOException ex) {
            ex.printStackTrace();
        }
    }

    private String getSuffix(String filename) {
        int i = filename.lastIndexOf('.');
        if(i>0 && i<filename.length()-1) {
            return filename.substring(i+1).toLowerCase();
        };
        
        return "";
    }

    public static void main(String[] args){
        if (args.length == 2) {
            new ImageIOTest2(args[0], args[1]);
        } else {
            System.out.println("Usage: java ImageIOTest2 <source filename> <destination filename>");
        }
    }
}
